package com.ruoyi.web.controller.platform;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.MerchantUser;
import com.ruoyi.system.service.MerchantUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.UUID;

/**
 * 商户信息Controller
 * 
 * @author liming
 * @date 2023-08-16
 */
@RestController
@RequestMapping("/platform/v1/merchantUser")
public class MerchantUserController extends BaseController {
    @Autowired
    private MerchantUserService merchantUserService;

    /**
     * 查询商户信息列表
     */
    @PostMapping("/allList")
    public R<List<MerchantUser>> list() {
        List<MerchantUser> list = merchantUserService.list();
        return R.ok(list);
    }


    /**
     * 新增商户信息
     */
    @PostMapping("/add")
    public R<Boolean> add(@RequestBody MerchantUser param) {
        if (param.getId() != null) {
            param.setUpdateTime(DateUtils.getNowDate());
        }else {
            param.setCreateTime(DateUtils.getNowDate());
            //随机生成6位商户标识
            String uuid = UUID.randomUUID().toString().replace("-", "").substring(0, 6);
            param.setMerchantCode(uuid);
        }
        return R.ok(merchantUserService.saveOrUpdate(param));

    }

}
